Subject: Re: [bug#39039] [PATCH 2/2] gnu: Add zrythm.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 27 Jan 2020 23:19:22 +0100

Hi,

Alexandros Theodotou <[email-masked]> skribis:

> From 008f999d55f995b41de02bdd02de9fb4042653b3 Mon Sep 17 00:00:00 2001
> From: Alexandros Theodotou <[email-masked]>
> Date: Wed, 8 Jan 2020 14:31:05 +0000
> Subject: [PATCH 2/2] gnu: Add zrythm.
>
> * gnu/packages/music.scm (zrythm): New variable.

I’ve applied the patch.

However, note that zrythm doesn’t keep any run-time reference to
‘xdg-utils’:

  guix gc --references \
  /gnu/store/6ahg92sk3akaspbvcd8vawkndjq97rf3-zrythm-0.7.345 |grep xdg-
  # nothing

That means that, at run time, it won’t find ‘xdg-open’ unless the user
explicitly adds it to their profile.  Could you take a look?

Furthermore, I get the usual:

--8<---------------cut here---------------start------------->8---
$ /gnu/store/6ahg92sk3akaspbvcd8vawkndjq97rf3-zrythm-0.7.345/bin/zrythm
[…]
(zrythm:31567): GLib-GIO-ERROR **: 23:13:27.284: Settings schema 'org.zrythm.Zrythm.preferences' is not installed

(zrythm:31567): GLib-GIO-ERROR **: 23:13:27.284: Settings schema 'org.zrythm.Zrythm' is not installed
Spurumo-/romppunkto-komando
--8<---------------cut here---------------end--------------->8---

… hence the attached patch, which I applied.

Thanks!

Ludo’.

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 55c66a8081..e378e9880b 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -5152,9 +5152,9 @@ and as an LV2 plugin.")
           (base32
             "1csiwq38a1ckx23lairfpl7qjkz71wsa7a9vsxl3k58f9ybibiil"))))
    (build-system meson-build-system)
-   (outputs '("out"))
    (arguments
-    `(#:configure-flags
+    `(#:glib-or-gtk? #t
+      #:configure-flags
       `("-Denable_tests=true" "-Dmanpage=true"
         "-Dinstall_dseg_font=false" "-Denable_ffmpeg=true")))
    (inputs